#ifndef ALARMDIALOG_H
#define ALARMDIALOG_H

#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qlayout.h>
#include <qt/qradiobutton.h>

#include "radioConfig.h"
#include "hrSpinBox.h"
#include "minSpinBox.h"
#include "prgSpinBox.h"

class alarmDialog : public QDialog
{

	Q_OBJECT
	
public:
    	alarmDialog( radioConfig *config=0, QWidget *parent=0, const char *name=0 );
    	unsigned char showAlarmHr(void);
    	unsigned char showAlarmMin(void);
    	unsigned char showAlarmProg(void);
    	unsigned char showAlarmOn(void);
        	
private slots:
	void doAlarmHr(int);
	void doAlarmMin(int);
	void doAlarmProg(int);
	void doAlarmOn(bool);		
	    
private:
	unsigned char alarmHr;
	unsigned char alarmMin;
	unsigned char alarmProg;
	unsigned char alarmOn;
};


#endif
