#ifndef MIXERDIALOG_H
#define MIXERDIALOG_H


#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qradiobutton.h>
#include <qt/qbuttongroup.h>

#include "tunerCard.h"
#include "alarmDialog.h"
#include "radioConfig.h"
#include "lcd.h"
#include "volSlider.h"

class mixerDialog : public QDialog
{

	Q_OBJECT
	
public:
    	mixerDialog( volSlider *vSlider=0, tunerCard *tunerC=0, radioConfig *radio=0, QWidget *parent=0, const char *name=0 );

    	
private slots:
	void doMixerSelect(void);


private:
	tunerCard	*tuner;
	radioConfig	*rconfig;
	volSlider *slider;
	QRadioButton *amp, *mixer;

};



#endif