#ifndef OPTIONSDIALOG_H
#define OPTIONSDIALOG_H


#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qlayout.h>
#include <qt/qspinbox.h>
#include <qt/qradiobutton.h>

#include "radioConfig.h"
#include "alarmDialog.h"
#include "tunerCard.h"
#include "lcd.h"
#include "volSlider.h"

class optionsDialog : public QDialog
{

	Q_OBJECT
	
public:
    	optionsDialog( volSlider * vSlider=0, tunerCard *tunerC=0, radioConfig *config=0, LCDWidget *lcdPtr=0, QWidget *parent=0, const char *name=0 );

    	
private slots:
	void doSleepDialog(void);
	void doAlarmDialog(void);
	void doMixerDialog(void);
	void doStrengthDialog(void);
	
private:
	radioConfig	*rconfig;
	tunerCard	*tuner;
    	LCDWidget 	*lcd;
    	volSlider	*slider;
};


#endif