#ifndef PROGBUTTONS_H
#define PROGBUTTONS_H

#include <qt/qfont.h>
#include <qt/qcolor.h>
#include <qt/qlayout.h>
#include <qt/qpushbutton.h>

#include "tunerCard.h"
#include "buttons.h"

class progButtonsWidget : public QWidget
{

	Q_OBJECT
	
public:
    progButtonsWidget( tunerCard *cardValue=0, ButtonsWidget *butt=0, QWidget *parent=0,
     const char *name=0 );

public slots:
    void doProgLoad(void);
    
private:
    QPushButton *num1;
    QPushButton *num2;
    QPushButton *num3;
    QPushButton *num4;
    QPushButton *num5;
    QPushButton *num6;
    QPushButton *num7;
    QPushButton *num8;
    QPushButton *num9;
    QPushButton *num10;    
    tunerCard *card;
    ButtonsWidget *otherButt;
};

#endif
