#ifndef VOLSLIDER_H
#define VOLSLIDER_H


#include <qt/qslider.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "soundcard.h"
#include "radioConfig.h"

class volSlider : public QSlider
{
    Q_OBJECT
    
public:
    volSlider( radioConfig *configC=0, QWidget *parent=0, const char *name=0 );
    void changeSource(void);

private slots:

    void updateMixer(int value);
    
private:
    int mixer_fd;
    radioConfig *config;

    
};

#endif