/*
 *	File Name: radioConfig.h
 *	Function: Header file for radioConfig.cpp
 *
 *	Author: Heng Yiak Por
 *	Date of Release:
 *	Version:
 *
 *
 */

#ifndef RADIOCONFIG_H
#define RADIOCONFIG_H

class radioConfig
{
	private:
	
		unsigned char sleepTime;
		unsigned char alarmHr;
		unsigned char alarmMin;
		unsigned char alarmProg;
		unsigned char alarmOn;
		unsigned char searchStr;
		unsigned char volControl;
		float	freq[20];
		
		

	public:
		radioConfig();
		unsigned int showSleepTime(void);
		void setSleepTime(unsigned int);
		unsigned int showAlarmHr(void);
		void setAlarmHr(unsigned int);
		unsigned int showAlarmMin(void);
		void setAlarmMin(unsigned int);
		unsigned int showAlarmOn(void);
		void setAlarmOn(unsigned int);
		float showFreq(unsigned int);
		void setFreq(unsigned int, float);
		void setSearchStr(unsigned int);
		unsigned int showSearchStr(void);
		void setAlarmProg(unsigned int);
		unsigned int showAlarmProg(void);
		void setVolControl(unsigned int);
		unsigned int showVolControl(void);
		
		void readConfig(void);
		void commitConfig(void);
};

#endif
