#ifndef SLEEPDIALOG_H
#define SLEEPDIALOG_H


#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qlayout.h>
#include <qt/qspinbox.h>
#include <qt/qradiobutton.h>

#include "radioConfig.h"

class sleepDialog : public QDialog
{

	Q_OBJECT
	
public:
    	sleepDialog( radioConfig *config=0, QWidget *parent=0, const char *name=0 );
    	unsigned char showSleepMin(void);
    	
private slots:
	void doSleepMin(int);	
	    
private:
	unsigned char sleepMin;
	radioConfig *configuration;
};

#endif