#ifndef STRENGTHDIALOG_H
#define STRENGTHDIALOG_H


#include <qt/qdialog.h>
#include <qt/qpushbutton.h>
#include <qt/qradiobutton.h>
#include <qt/qbuttongroup.h>

#include "radioConfig.h"
#include "alarmDialog.h"
#include "lcd.h"

class strengthDialog : public QDialog
{

	Q_OBJECT
	
public:
    	strengthDialog( radioConfig *config=0, QWidget *parent=0, const char *name=0 );

    	
private slots:
	void doStrength(void);


private:
	radioConfig	*rconfig;
	QRadioButton *low, *medium, *high, *vhigh;
};



#endif